#
# Conditional build:
%bcond_without	gnome_shell	# GNOME Shell extension
#
Summary:	Clipboard management system
Summary(pl.UTF-8):	System zarządzania schowkiem
Name:		gpaste
Version:	3.42.10
Release:	2
License:	BSD
Group:		X11/Applications
Source0:	https://www.imagination-land.org/files/gpaste/%{name}-%{version}.tar.xz
# Source0-md5:	31ad05a3a720d9659a49f3d810620049
Patch0:		%{name}-sh.patch
URL:		https://github.com/Keruspe/GPaste
BuildRequires:	appstream-glib-devel
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.15
BuildRequires:	dbus-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gdk-pixbuf2-devel >= 2.38.0
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	gjs-devel >= 1.54.0
BuildRequires:	glib2-devel >= 1:2.70
BuildRequires:	gobject-introspection-devel >= 1.58.0
BuildRequires:	gtk+3-devel >= 3.24
BuildRequires:	libtool >= 2:2.2.6
%{?with_gnome_shell:BuildRequires:	mutter-devel >= 3.36}
BuildRequires:	pango-devel
BuildRequires:	pkgconfig >= 1:0.29
BuildRequires:	rpmbuild(macros) >= 2.011
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.42
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xz
Requires(post,preun):	systemd-units >= 1:250.1
Requires:	%{name}-libs = %{version}-%{release}
Requires:	systemd-units >= 1:250.1
Obsoletes:	gpaste-applet < 3.20
Suggests:	wgetpaste >= 2.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gpasted is a clipboard management daemon with DBus interface.
gpaste-client is its CLI client and gpaste-settings is a tool to edit
gpasted settings.

%description -l pl.UTF-8
gpasted to demon zarządzający schowkiem przy użyciu interfejsu DBus.
gpaste-client to klient linii poleceń, a gpaste-settings to narzędzie
do modyfikowania ustawień.

%package libs
Summary:	Library to manage the clipboard history
Summary(pl.UTF-8):	Biblioteka do zarządzania historią schowka
Group:		Libraries
Requires:	gdk-pixbuf2 >= 2.38.0
Requires:	glib2 >= 1:2.70
Requires:	gtk+3 >= 3.24

%description libs
libgpaste is a library to manage the clipboard history (used by
gpasted).

%description libs -l pl.UTF-8
libgpaste to biblioteka do zarządzania historią schowka
(wykorzystywana przez gpasted).

%package devel
Summary:	Development files for libgpaste library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libgpaste
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gdk-pixbuf2-devel >= 2.38.0
Requires:	glib2-devel >= 1:2.70
Requires:	gtk+3-devel >= 3.24

%description devel
This package contains the header files for developing applications
that use libgpaste library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę libgpaste.

%package -n vala-gpaste
Summary:	Vala API for libgpaste library
Summary(pl.UTF-8):	API języka Vala do biblioteki libgpaste
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.42

%description -n vala-gpaste
Vala API for libgpaste library.

%description -n vala-gpaste -l pl.UTF-8
API języka Vala do biblioteki libgpaste.

%package -n gnome-shell-extension-%{name}
Summary:	GNOME Shell extension for GPaste
Summary(pl.UTF-8):	Rozszerzenie powłoki GNOME (GNOME Shell) dla GPaste
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-shell >= 3.36
BuildArch:	noarch

%description -n gnome-shell-extension-%{name}
GNOME Shell extension for GPaste.

%description -n gnome-shell-extension-%{name} -l pl.UTF-8
Rozszerzenie powłoki GNOME (GNOME Shell) dla GPaste.

%package -n bash-completion-%{name}
Summary:	Bash completion for GPaste commands
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów poleceń GPaste
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0
BuildArch:	noarch

%description -n bash-completion-%{name}
Bash completion for GPaste commands.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów poleceń GPaste.

%package -n zsh-completion-%{name}
Summary:	ZSH completion for GPaste commands
Summary(pl.UTF-8):	Dopełnianie parametrów ZSH dla poleceń GPaste
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description -n zsh-completion-%{name}
zsh completion for GPaste commands.

%description -n zsh-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów ZSH dla poleceń GPaste.

%prep
%setup -q
%patch0 -p1

# allow newer mutter; this is check only, no linking
%{__sed} -i -e 's/mutter-clutter-9 //' configure.ac

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_gnome_shell:--disable-gnome-shell-extension} \
	--disable-schemas-compile \
	--disable-silent-rules \
	--enable-vala \
	--with-controlcenterdir=%{_datadir}/gnome-control-center/keybindings \
	--with-systemduserunitdir=%{systemduserunitdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# Install bash/zsh completion support
install -d $RPM_BUILD_ROOT%{bash_compdir}
cp -p data/completions/gpaste-client $RPM_BUILD_ROOT%{bash_compdir}
install -d $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
cp -p data/completions/_gpaste-client $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{nb_NO,nb}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{nl_NL,nl}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{zh_Hant,zh_TW}

%find_lang GPaste

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/org.gnome.GPaste.Ui.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post
%glib_compile_schemas
%systemd_user_post org.gnome.GPaste.service org.gnome.GPaste.Ui.service

%preun
%systemd_user_preun org.gnome.GPaste.service org.gnome.GPaste.Ui.service

%postun
%glib_compile_schemas

%files -f GPaste.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md THANKS TODO
%attr(755,root,root) %{_bindir}/gpaste-client
%{_mandir}/man1/gpaste-client.1*
%dir %{_libexecdir}/gpaste
%attr(755,root,root) %{_libexecdir}/gpaste/gpaste-daemon
%attr(755,root,root) %{_libexecdir}/gpaste/gpaste-ui
%{systemduserunitdir}/org.gnome.GPaste.service
%{systemduserunitdir}/org.gnome.GPaste.Ui.service
%{_datadir}/dbus-1/services/org.gnome.GPaste.service
%{_datadir}/dbus-1/services/org.gnome.GPaste.Ui.service
%{_datadir}/glib-2.0/schemas/org.gnome.GPaste.gschema.xml
%{_datadir}/gnome-control-center/keybindings/*-gpaste.xml
%{_datadir}/metainfo/org.gnome.GPaste.Ui.appdata.xml
%{_desktopdir}/org.gnome.GPaste.Ui.desktop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgpaste.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpaste.so.13
%{_libdir}/girepository-1.0/GPaste-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgpaste.so
%{_datadir}/gir-1.0/GPaste-1.0.gir
%{_includedir}/gpaste
%{_pkgconfigdir}/gpaste-1.0.pc

%files -n vala-gpaste
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gpaste-1.0.deps
%{_datadir}/vala/vapi/gpaste-1.0.vapi

%files -n gnome-shell-extension-%{name}
%defattr(644,root,root,755)
%{_datadir}/gnome-shell/extensions/GPaste@gnome-shell-extensions.gnome.org
%{_datadir}/gnome-shell/search-providers/org.gnome.GPaste.search-provider.ini

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/gpaste-client

%files -n zsh-completion-%{name}
%defattr(644,root,root,755)
%{_datadir}/zsh/site-functions/_gpaste-client
%changelog
* Fri Sep 15 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gpaste.git;a=log;h=master

* Fri Sep 15 2023 Jakub Bogusz <qboosh@pld-linux.org> c8d853c
- adjust more locales; release 2

* Wed Sep 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 906a9b4
- updated to 3.42.10

* Mon Feb 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 2315425
- systemd epoch

* Sat Jan 08 2022 Jan Rękorajski <baggins@pld-linux.org> a01b666
- add systemd user service startup, rel 3

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 254ad36
- unconditional noarch subpackages

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 1e1e4f4
- unify locale name (nl_NL -> nl); release 2

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> ed6db70
- updated to 3.36.3
- added sh patch (kill bashism in configure)

* Thu Mar 23 2017 Jakub Bogusz <qboosh@pld-linux.org> fe0023f
- updated to 3.22.3 (note: new library soname)
- separated vala- interface

* Mon Oct 12 2015 Elan Ruusamäe <glen@delfi.ee> eca4b56
- up to 3.18.1.1

* Mon Sep 07 2015 Elan Ruusamäe <glen@delfi.ee> 6410095
- up to 3.16.3

* Wed May 06 2015 Elan Ruusamäe <glen@delfi.ee> 7a74957
- cleanup BR

* Wed May 06 2015 Elan Ruusamäe <glen@delfi.ee> 2aa6923
- up to 3.16.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> b15e366
- x32 rebuild
- release 2 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> ba8b70b
- up to 3.14.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 4d3e426
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 73c3360
- libffi rebuild
- release 2 (by relup.sh)

* Thu Nov 06 2014 Elan Ruusamäe <glen@delfi.ee> 59d6ede
- up to 3.14

* Tue Apr 01 2014 Elan Ruusamäe <glen@delfi.ee> a7d33d2
- update/cleanup BR

* Sat Mar 29 2014 Elan Ruusamäe <glen@delfi.ee> 565ab16
- add bash/zsh completions subpackages

* Sat Mar 29 2014 Elan Ruusamäe <glen@delfi.ee> 6f5eaac
- new, version 3.10

